# Method: networks.vehicles.makeUnavailable

Makes a vehicle unavailable.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/{name=networks/*/vehicles/*}:makeUnavailable`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the vehicle to make unavailable. Format: "networks/{network}/vehicles/{vehicle}" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "unavailabilityStarts": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/DateTime`) } ] } ``` |

| Fields ||
|---|---|
| `unavailabilityStarts[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/DateTime`)`` Required. The periods where unavailability will start. They must be points in time in the future. If this field is absent, unavailability starts when the message is received. |

### Response body

The response message for `vehicles.makeUnavailable` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "path": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the vehicle whose unavailability was updated. Format: "networks/{network}/vehicles/{vehicle}" |
| `path[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`)`` The paths that were updated. |